gRPC C#
gRPC C#
Namespaces
Grpc.Core
Metadata.Entry Structure
Entry Constructor
Metadata.Entry Constructor (String, Byte[])
Metadata.Entry Constructor (String, String)

Metadata Entry Constructor (String, String)

Initializes a new instance of the Metadata
Entry struct holding an ASCII value.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Entry(
    	string key,
    	string value
    )

    Public Sub New (
    	key As String,
    	value As String
    )

    public:
    Entry(
    	String^ key,
    	String^ value
    )

    new :
            key : string *
            value : string -> Entry

#### Parameters

key
  Type: System
  String
  Metadata key, must not use suffix indicating a binary valued metadata entry.
value
  Type: System
  String
  Value string. Only ASCII characters are allowed.

See Also

#### Reference

Metadata
Entry Structure
Metadata
Entry Overload
Grpc.Core Namespace